# $Revision: 1.14 $, $Date: 2001/11/25 17:03:04 $
Summary:	Window Maker Dockable CD-Player with CDDB
Summary(pl):	Dokowalny odtwarzacz CD dla Window Makera z obsug CDDB
Name:		wmsvencd
Version:	0.5.0
Release:	2
License:	GPL
Group:		X11/Window Managers/Tools
Group(de):	X11/Fenstermanager/Werkzeuge
Group(pl):	X11/Zarzdcy Okien/Narzdzia
Source0:	http://www.harshbutfair.org/dl/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
Patch0:		%{name}-compile.patch
URL:		http://www.harshbutfair.org/software/wmsvencd.html
BuildRequires:	XFree86-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define 	_prefix		/usr/X11R6
%define 	_mandir 	%{_prefix}/man

%description
wmsvencd is yet another CD player for X. It displays the current track
number, time, disc title, song title, and CD player controls all in
atiny 64x64 pixels.

%description -l pl
wsvencd jest jeszcze jednym odtwarzaczem CD pod X-y. Wywietla biecy
numer piosenki, czas, tytu pyty, tytu piosenki oraz kontrolki
odtwarzacza - wszystko w malutkim obszarze 64x64 pixele.

%prep
%setup -q
%patch -p1

%build
%{__make} CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1} \
	$RPM_BUILD_ROOT%{_applnkdir}/DockApplets

install %{name} $RPM_BUILD_ROOT%{_bindir}
install %{name}.1x $RPM_BUILD_ROOT%{_mandir}/man1/%{name}.1
#install %{SOURCE1} $RPM_BUILD_ROOT%{_applnkdir}/DockApplets

gzip -9nf README

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz
%attr(755,root,root) %{_bindir}/%{name}
%{_mandir}/man1/*

#%{_applnkdir}/DockApplets/%{name}.desktop

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: wmsvencd.spec,v $
Revision 1.14  2001/11/25 17:03:04  blues
- release 2
- desktop is out

Revision 1.13  2001/11/21 02:37:57  blues
- URLs updated
- cosmetic in files
NOTE: new version avaible

Revision 1.12  2001/05/03 01:14:06  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.11  2000/12/06 02:38:52  agaran
Just passed trough adapter

Revision 1.10  2000/11/12 16:58:52  kloczek
- removed xpm-devel from BuildRequires.

Revision 1.9  2000/06/09 07:24:04  kloczek
- added using %%{__make} macro.

Revision 1.8  2000/04/01 11:16:00  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.7  2000/03/28 16:55:09  baggins
- translated kloczkish into english

Revision 1.6  1999/11/27 02:59:15  pius
- added using more rpm macros
- cosmetics

Revision 1.5  1999/09/04 09:44:01  pius
- cosmetics

Revision 1.4  1999/09/04 08:49:54  wiget
 - /etc/X11/applnk -> /usr/X11R6/share/applnk

Revision 1.3  1999/07/27 10:38:45  jasio
Poprawka w sekcji %files

Revision 1.2  1999/07/22 12:45:31  jasio
Poprawka dostpnych architektur do kompilacji.

Revision 1.1  1999/07/21 14:49:03  jasio
Initial RPM release for PLD-Team.

* Wed Jul 21 1999 Jacek Rzsista <jacek@samm.com.pl>
- initial RPM release
